Parameter "-GRIDS" is not passed in SAGA "Grid Calculator", but just in the modeler

2013-10-15 09:05 AM - Pedro Venâncio
Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17535

Description

I'm with some errors using SAGA (2.0.8) modules in Modeler. I attached a sample model and a test raster.

If I run the modules individually, it works. When running them in the model, I get the following errors:

SAGA execution commands

grid_calculus "Grid Calculator" -FORMULA "a*1" -RESULT

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif.sgrd" 

io_gdal 1 -GRIDS

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif.sgrd" -FORMAT 1

-TYPE 0 -FILE "C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif" 

SAGA execution console output

C:\\OSGeo4W\\bin>set SAGA=C:/OSGeo4W/apps\\saga

C:\\OSGeo4W\\bin>set SAGA_MLB=C:/OSGeo4W/apps\\saga\\modules

C:\\OSGeo4W\\bin>PATH=PATH;C:/OSGeo4W/apps\\saga;C:/OSGeo4W/apps\\saga\\modules

C:\\OSGeo4W\\bin>saga_cmd grid_calculus "Grid Calculator" -FORMULA "a*1" -RESULT

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif.sgrd" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    grid_calculus

module name :    Grid Calculator

author      :    Copyrights (c) 2003 by Andre Ringeler

_____________________________________________

go...

The value for the option 'GRIDS' must be specified.

Usage: Grid Calculator -GRIDS <str> [-XGRIDS <str>] -RESULT <str> [-FORMULA <str>] [-NAME <str>] [-FNAME]

[-USE_NODATA]
-GRIDS:<str>      Grids

Grid list (input)

-XGRIDS:<str>     Grids from different Systems

Grid list (optional input)

-RESULT:<str>     Result

Grid (output)

-FORMULA:<str>    Formula

Text

-NAME:<str>       Name

Text

-FNAME            Take Formula

Boolean

-USE_NODATA       Use NoData

Boolean

error: executing module [Grid Calculator]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif.sgrd" -FORMAT 1

-TYPE 0 -FILE "C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    io_gdal

module name :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

_____________________________________________

go...

Load grid: C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif.sgrd...

failed

error: Grid file could not be opened.

error: input file [C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\11f86583dc0043c9b50688081ee0daf1\\RESULT.tif.sgrd]

error: empty input list [GRIDS]

Usage: 1 -GRIDS <str> [-FILE <str>] [-FORMAT <str>] [-TYPE <str>]

-GRIDS:<str>     Grid(s)

Grid list (input)

-FILE:<str>      File

File path

-FORMAT:<str>    Format

Choice

Available Choices:

[0] Virtual Raster
[1] GeoTIFF

[2] National Imagery Transmission Format

[3] Erdas Imagine Images (.img)

[4] ELAS

[5] In Memory Raster

[6] MS Windows Device Independent Bitmap

[7] PCIDSK Database File

[8] ILWIS Raster Map

[9] SGI Image File Format 1.0

[10] Leveller heightfield

[11] Terragen heightfield

[12] HDF4 Dataset

[13] ERMapper .ers Labelled

[14] Raster Matrix Format

[15] Idrisi Raster A.1

[16] Intergraph Raster

[17] Golden Software Binary Grid (.grd)

[18] Portable Pixmap Format (netpbm)

[19] ENVI .hdr Labelled

[20] ESRI .hdr Labelled

[21] PCI .aux Labelled

[22] Vexcel MFF Raster

[23] Vexcel MFF2 (HKV) Raster

[24] VTP .bt (Binary Terrain) 1.3 Format

[25] Image Data and Analysis

[26] NOAA Vertical Datum .GTX

[27] NTv2 Datum Grid Shift

[28] ARC Digitized Raster Graphics

[29] SAGA GIS Binary Grid (.sdat)

-TYPE:<str>      Data Type

Choice

Available Choices:

[0] match input data

[1] 8 bit unsigned integer

[2] 16 bit unsigned integer

[3] 16 bit signed integer

[4] 32 bit unsigned integer

[5] 32 bit signed integer

[6] 32 bit floating point

[7] 64 bit floating point

error: executing module [GDAL: Export Raster]

C:\\OSGeo4W\\bin>exit

SAGA execution commands

grid_calculus "Grid Calculator" -FORMULA "ifelse(gt(a,1),0,a)" -RESULT

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif.sgrd" 

io_gdal 1 -GRIDS

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif.sgrd"

-FORMAT 1 -TYPE 0 -FILE

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif" 
SAGA execution console output

C:\\OSGeo4W\\bin>set SAGA=C:/OSGeo4W/apps\\saga

C:\\OSGeo4W\\bin>set SAGA_MLB=C:/OSGeo4W/apps\\saga\\modules

C:\\OSGeo4W\\bin>PATH=PATH;C:/OSGeo4W/apps\\saga;C:/OSGeo4W/apps\\saga\\modules

C:\\OSGeo4W\\bin>saga_cmd grid_calculus "Grid Calculator" -FORMULA "ifelse(gt(a,1),0,a)" -RESULT

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif.sgrd" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    grid_calculus

module name :    Grid Calculator

author      :    Copyrights (c) 2003 by Andre Ringeler

_____________________________________________

go...

The value for the option 'GRIDS' must be specified.

Usage: Grid Calculator -GRIDS <str> [-XGRIDS <str>] -RESULT <str> [-FORMULA <str>] [-NAME <str>] [-FNAME]

[-USE_NODATA]

-GRIDS:<str>      Grids

Grid list (input)

-XGRIDS:<str>     Grids from different Systems

Grid list (optional input)

-RESULT:<str>     Result

Grid (output)

-FORMULA:<str>    Formula

Text

-NAME:<str>       Name

Text

-FNAME            Take Formula

Boolean

-USE_NODATA       Use NoData

Boolean

error: executing module [Grid Calculator]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif.sgrd"

-FORMAT 1 -TYPE 0 -FILE

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

2025-12-15 4/15



### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    io_gdal

module name :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

_____________________________________________

go...

Load grid:

C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif.sgrd...

failed

error: Grid file could not be opened.

error: input file

[C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27914a22b30b40ae8502bb6c08625386\\RESULTALG1.tif.sgrd]

error: empty input list [GRIDS]

Usage: 1 -GRIDS <str> [-FILE <str>] [-FORMAT <str>] [-TYPE <str>]

-GRIDS:<str>     Grid(s)

Grid list (input)

-FILE:<str>      File

File path

-FORMAT:<str>    Format

Choice

Available Choices:

[0] Virtual Raster

[1] GeoTIFF

[2] National Imagery Transmission Format

[3] Erdas Imagine Images (.img)

[4] ELAS

[5] In Memory Raster

[6] MS Windows Device Independent Bitmap

[7] PCIDSK Database File

[8] ILWIS Raster Map

[9] SGI Image File Format 1.0

[10] Leveller heightfield

[11] Terragen heightfield

[12] HDF4 Dataset

[13] ERMapper .ers Labelled

[14] Raster Matrix Format

[15] Idrisi Raster A.1

[16] Intergraph Raster

[17] Golden Software Binary Grid (.grd)

[18] Portable Pixmap Format (netpbm)

[19] ENVI .hdr Labelled

[20] ESRI .hdr Labelled

[21] PCI .aux Labelled

[22] Vexcel MFF Raster
[23] Vexcel MFF2 (HKV) Raster

[24] VTP .bt (Binary Terrain) 1.3 Format

[25] Image Data and Analysis

[26] NOAA Vertical Datum .GTX

[27] NTv2 Datum Grid Shift

[28] ARC Digitized Raster Graphics

[29] SAGA GIS Binary Grid (.sdat)

-TYPE:<str>      Data Type

Choice

Available Choices:

[0] match input data

[1] 8 bit unsigned integer

[2] 16 bit unsigned integer

[3] 16 bit signed integer

[4] 32 bit unsigned integer

[5] 32 bit signed integer

[6] 32 bit floating point

[7] 64 bit floating point

error: executing module [GDAL: Export Raster]

C:\\OSGeo4W\\bin>exit

I'm using Processing "master" version with QGIS 2.0.1 (OSGeo4W). This does not happen in Processing "stable" version (that cames

with QGIS 2.0.1), so it may be a regression.

History

#1 - 2013-10-15 03:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

it works fine here under Linux.

Are you sure that the "saga 2.0.8 compatibility" checkbox is active?

#2 - 2013-10-15 03:55 PM - Pedro Venâncio

Hi Giovanni,

Yes, saga 2.0.8 compatibility is active.

Now I've tested on Linux and gives the same error:

SAGA execution console output

The value for the option 'GRIDS' must be specified.

Usage: saga_cmd -GRIDS <str> [-XGRIDS <str>] -RESULT <str> [-FORMULA <str>] [-NAME <str>] [-FNAME] [-USE_NODATA]

-GRIDS:<str>      Grids

Grid list (input)

-XGRIDS:<str>     Grids from different Systems

Grid list (optional input)
-RESULT:<str>     Result

Grid (output)

-FORMULA:<str>    Formula

Text

-NAME:<str>       Name

Text

-FNAME            Take Formula

Boolean

-USE_NODATA       Use NoData

Boolean

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    /usr/lib/saga

library name:    libgrid_calculus

module name :    Grid Calculator

author      :    Copyrights (c) 2003 by Andre Ringeler

_____________________________________________

go...

error: Grid file could not be opened.

error: input file [/tmp/processing/bc49dee45d7d40aaabab23cc63c53a87/RESULTALG1.tif.sgrd]

error: empty input list [GRIDS]

error: executing module [GDAL: Export Raster]

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    /usr/lib/saga

library name:    libio_gdal

module name :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

_____________________________________________

go...

Load grid: /tmp/processing/bc49dee45d7d40aaabab23cc63c53a87/RESULTALG1.tif.sgrd...

failed

May it be a result of using Processing "master" version with QGIS 2.0.1? I also tested here on Linux with Processing "stable" version and it works fine.
#3 - 2013-10-15 04:02 PM - Giovanni Manghi

ok on master it doesn't work, I will try have a look at it.

#4 - 2013-10-15 04:39 PM - Giovanni Manghi

the issue is that just in the modeler, the

libgrid_calculus "Grid Calculator"

module is not given the

-GRIDS

with the input rasters.

#5 - 2013-10-15 04:51 PM - Pedro Venâncio

But it seems that affects other modules. Try, for instance, the Clip grid with polygon.

#6 - 2013-10-15 05:10 PM - Giovanni Manghi

Pedro Venâncio wrote:

But it seems that affects other modules. Try, for instance, the Clip grid with polygon.

in the modeler?

#7 - 2013-10-15 05:16 PM - Giovanni Manghi

Pedro Venâncio wrote:

But it seems that affects other modules. Try, for instance, the Clip grid with polygon.

this error is different and will be fixed by

https://github.com/qgis/QGIS/pull/949

#8 - 2013-10-15 05:59 PM - Giovanni Manghi

- Subject changed from Problems with SAGA modules in Modeler to Parameter "-GRIDS" is not passed in SAGA "Grid Calculator", but just in the 

modeler

#9 - 2013-10-16 02:35 AM - Pedro Venâncio

this error is different and will be fixed by
https://github.com/qgis/QGIS/pull/949

Hi Giovanni,

I've been testing your pull request [0] and, apparently, Clip grid with polygon does not work inside or outside of the modeler.

[0] https://raw.github.com/gioman/QGIS/78679ad1448b7ba3f0fa4178d9f122d513f8333d/python/plugins/processing/saga/SagaAlgorithm.py

#10 - 2013-10-16 02:57 AM - Victor Olaya

hey guys

before you get crazy with this, I suspect this has to do with parameters that are multiple inputs in the modeler. Not sure, and I haven't checked, but it loks

like that. I will try to have a look along the day today

thanks!

#11 - 2013-10-16 03:11 AM - Giovanni Manghi

Pedro Venâncio wrote:

this error is different and will be fixed by

https://github.com/qgis/QGIS/pull/949

Hi Giovanni,

I've been testing your pull request [0] and, apparently, Clip grid with polygon does not work inside or outside of the modeler.

[0] https://raw.github.com/gioman/QGIS/78679ad1448b7ba3f0fa4178d9f122d513f8333d/python/plugins/processing/saga/SagaAlgorithm.py

weird, it works fine here with both saga 2.0.8 and 2.10

can you attach here sample data?

#12 - 2013-10-16 04:24 AM - Pedro Venâncio

- File sample_poly_shp.zip added

weird, it works fine here with both saga 2.0.8 and 2.10

can you attach here sample data?

Yes Giovanni,

Try the geotiff I've atached yesterday and this simple shapefile.
I get

SAGA execution console output

C:\\OSGeo4W\\bin>set SAGA=C:/OSGeo4W/apps\\saga

C:\\OSGeo4W\\bin>set SAGA_MLB=C:/OSGeo4W/apps\\saga\\modules

C:\\OSGeo4W\\bin>PATH=PATH;C:/OSGeo4W/apps\\saga;C:/OSGeo4W/apps\\saga\\modules

C:\\OSGeo4W\\bin>saga_cmd io_gdal 0 -TRANSFORM -INTERPOL 0 -GRIDS

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\d098f4275f8744e99de371fc22ed4e43\

asteraa1994intermedio.sgrd" -FILES "D:\\SIG\\CRIF2010\\PMDFCI_2012\\Perigosidade_Risco\

esultados\

aster_aa_1994_intermedio.tif" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    io_gdal

module name :    GDAL: Import Raster

author      :    (c) 2007 by O.Conrad (A.Ringeler)

_____________________________________________

go...

Unknown option 'TRANSFORM'

Usage: 0 [-GRIDS <str>] [-FILES <str>]

-GRIDS:<str>    Grids

Grid list (optional output)

-FILES:<str>    Files

File path

error: executing module [GDAL: Import Raster]

C:\\OSGeo4W\\bin>saga_cmd shapes_grid "Clip Grid with Polygon" -INPUT

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\d098f4275f8744e99de371fc22ed4e43\

asteraa1994intermedio.sgrd" -POLYGONS "D:/SIG/CRIF2010/PMDFCI_2012/Perigosidade_Risco/resultados/area.shp" -OUTPUT

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27aba23909664f9e8e20d17a9285b2f7\\OUTPUT.tif.sgrd" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    shapes_grid

module name :    Clip Grid with Polygon
author      :    copyrights (c) 2006 Stefan Liersch

_____________________________________________

go...

Load grid: C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\d098f4275f8744e99de371fc22ed4e43\

asteraa1994intermedio.sgrd...

failed

error: Grid file could not be opened.

error: input file [C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\d098f4275f8744e99de371fc22ed4e43\

asteraa1994intermedio.sgrd]

error: empty input list [INPUT]

Usage: Clip Grid with Polygon -OUTPUT <str> -INPUT <str> -POLYGONS <str>

-OUTPUT:<str>      Output

Grid list (output)

-INPUT:<str>       Input

Grid list (input)

-POLYGONS:<str>    Polygons

Shapes (input)

error: executing module [Clip Grid with Polygon]

C:\\OSGeo4W\\bin>saga_cmd io_gdal 1 -GRIDS

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27aba23909664f9e8e20d17a9285b2f7\\OUTPUT.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27aba23909664f9e8e20d17a9285b2f7\\OUTPUT.tif" 

_____________________________________________

#####   ##   #####    ##

###     ###  ##       ###

###   # ## ##  #### # ##

### ##### ##    # #####

##### #   ##  ##### #   ##

_____________________________________________

library path:    C:/OSGeo4W/apps\\saga\\modules

library name:    io_gdal

module name :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

_____________________________________________

go...

Load grid: C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27aba23909664f9e8e20d17a9285b2f7\\OUTPUT.tif.sgrd...

failed

error: Grid file could not be opened.

error: input file [C:\\Users\\pedro\\AppData\\Local\\Temp\\processing\\27aba23909664f9e8e20d17a9285b2f7\\OUTPUT.tif.sgrd]

error: empty input list [GRIDS]

Usage: 1 -GRIDS <str> [-FILE <str>] [-FORMAT <str>] [-TYPE <str>]
-GRIDS:<str>     Grid(s)

Grid list (input)

-FILE:<str>      File

File path

-FORMAT:<str>    Format

Choice

Available Choices:

[0] Virtual Raster

[1] GeoTIFF

[2] National Imagery Transmission Format

[3] Erdas Imagine Images (.img)

[4] ELAS

[5] In Memory Raster

[6] MS Windows Device Independent Bitmap

[7] PCIDSK Database File

[8] ILWIS Raster Map

[9] SGI Image File Format 1.0

[10] Leveller heightfield

[11] Terragen heightfield

[12] HDF4 Dataset

[13] ERMapper .ers Labelled

[14] Raster Matrix Format

[15] Idrisi Raster A.1

[16] Intergraph Raster

[17] Golden Software Binary Grid (.grd)

[18] Portable Pixmap Format (netpbm)

[19] ENVI .hdr Labelled

[20] ESRI .hdr Labelled

[21] PCI .aux Labelled

[22] Vexcel MFF Raster

[23] Vexcel MFF2 (HKV) Raster

[24] VTP .bt (Binary Terrain) 1.3 Format

[25] Image Data and Analysis

[26] NOAA Vertical Datum .GTX

[27] NTv2 Datum Grid Shift

[28] ARC Digitized Raster Graphics

[29] SAGA GIS Binary Grid (.sdat)

-TYPE:<str>      Data Type

Choice

Available Choices:

[0] match input data

[1] 8 bit unsigned integer

[2] 16 bit unsigned integer

[3] 16 bit signed integer

[4] 32 bit unsigned integer

[5] 32 bit signed integer

[6] 32 bit floating point

[7] 64 bit floating point

error: executing module [GDAL: Export Raster]

C:\\OSGeo4W\\bin>exit
#13 - 2013-10-16 04:27 AM - Giovanni Manghi

Pedro Venâncio wrote:

weird, it works fine here with both saga 2.0.8 and 2.10

can you attach here sample data?

Yes Giovanni,

Try the geotiff I've atached yesterday and this simple shapefile.

I get

the error is

Unknown option 'TRANSFORM'

this option is mandatory in saga 2.10 and is not available in saga 2.0.8

what versoin of SAGA are you using? the "compatibilty" checkbox is configured accordingly with your saga version (you must close/open qgis when

changing this option)?

#14 - 2013-10-16 04:42 AM - Pedro Venâncio

- File SagaAlgorithm.py added

this option is mandatory in saga 2.10 and is not available in saga 2.0.8

what versoin of SAGA are you using? the "compatibilty" checkbox is configured accordingly with your saga version (you must close/open qgis when

changing this option)?

I'm using SAGA 2.0.8 (OSGeo4W), always with compatibility checkbox active, and I get that error, even after restart QGIS. Can you see if is something

wrong with SagaAlgorithm.py that I'm using?

#15 - 2013-10-16 04:48 AM - Giovanni Manghi

Pedro Venâncio wrote:

this option is mandatory in saga 2.10 and is not available in saga 2.0.8

what versoin of SAGA are you using? the "compatibilty" checkbox is configured accordingly with your saga version (you must close/open qgis

when changing this option)?

I'm using SAGA 2.0.8 (OSGeo4W), always with compatibility checkbox active, and I get that error, even after restart QGIS. Can you see if is

something wrong with SagaAlgorithm.py that I'm using?
it is more likely that my patch has to be corrected, I will check it.

#16 - 2013-10-16 05:51 AM - Giovanni Manghi

Pedro Venâncio wrote:

this option is mandatory in saga 2.10 and is not available in saga 2.0.8

what versoin of SAGA are you using? the "compatibilty" checkbox is configured accordingly with your saga version (you must close/open qgis

when changing this option)?

I'm using SAGA 2.0.8 (OSGeo4W), always with compatibility checkbox active, and I get that error, even after restart QGIS. Can you see if is

something wrong with SagaAlgorithm.py that I'm using?

Olá Pedro,

I tested on clean osgeo4w machine and this are my results (with your data) that anyway are unrelated to the issue described in this ticket:

SAGA 2.0.8 qgis 2.0.1/master

clip with polygons works

SAGA 2.10 qgis 2.0.1/master

clip with polygons does not works -> this issue is fixed by my patch, see below

SAGA 2.10 qgis master with my patch

clip with polygons works

SAGA 2.0.8 qgis master with my patch

clip with polygons does not works -> I know where I made a mistake, working on it

#17 - 2013-10-16 05:55 AM - Pedro Venâncio

SAGA 2.0.8 qgis master with my patch

clip with polygons does not works -> I know where I made a mistake, working on it

Great Giovanni!

Thanks!

#18 - 2013-10-16 07:11 AM - Giovanni Manghi

- Status changed from Feedback to Open

Pedro Venâncio wrote:

SAGA 2.0.8 qgis master with my patch

clip with polygons does not works -> I know where I made a mistake, working on it
Great Giovanni!

Thanks!

I updated the patch and the pull request

https://github.com/gioman/QGIS/commit/84b682d46edb38bb79b135bb8aa8a96589cf98d2

#19 - 2013-10-16 08:48 AM - Pedro Venâncio

Now it is working properly Giovanni, both in modeler and outside modeler.

Thank you very much!

Let's see if Victor can overcome the problem of the original ticket.

Thanks!

#20 - 2014-10-04 12:16 PM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Category deleted (64)

- Affected QGIS version set to 2.4.0

#21 - 2014-10-04 12:17 PM - Giovanni Manghi

- Category set to Processing/Modeller

#22 - 2015-06-22 12:35 AM - Victor Olaya

- Status changed from Open to Feedback

Grid calculator is working fine now. Should we close this ticket?

#23 - 2015-09-30 02:30 PM - Pedro Venâncio

- Status changed from Feedback to Closed

Files

teste_5.model 549 Bytes 2013-10-15 Pedro Venâncio

raster_aa_1994_intermedio.tif 1.91 MB 2013-10-15 Pedro Venâncio

sample_poly_shp.zip 1.52 KB 2013-10-16 Pedro Venâncio

SagaAlgorithm.py 23.2 KB 2013-10-16 Pedro Venâncio
https://github.com/gioman/QGIS/commit/84b682d46edb38bb79b135bb8aa8a96589cf98d2

